<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.ArContentTypeMapper" >
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.ArContentType" >
                <id column="id" property="id" jdbcType="INTEGER" />
                                        <result column="del_flag" property="delFlag" jdbcType="CHAR" />
                                <result column="update_time" property="updateTime" jdbcType="TIMESTAMP" />
                                <result column="update_user" property="updateUser" jdbcType="VARCHAR" />
                                <result column="create_time" property="createTime" jdbcType="TIMESTAMP" />
                                <result column="create_user" property="createUser" jdbcType="VARCHAR" />
                                <result column="type_name" property="typeName" jdbcType="VARCHAR" />
                                <result column="remark" property="remark" jdbcType="VARCHAR" />
                                <result column="power" property="power" jdbcType="VARCHAR" />
            </resultMap>
    <sql id="Base_Column_List" >
        <trim  suffixOverrides="," >
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            type_name,

            remark,

            power,

            </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer" >
        select
        <include refid="Base_Column_List" />
        from ar_content_type
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer" >
        delete from ar_content_type
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.ArContentType" useGeneratedKeys="true" keyProperty="id">
        insert into ar_content_type
        <trim prefix="(" suffix=")" suffixOverrides="," >
                <if test="id!= null" >
                id,
            </if>
                <if test="delFlag!= null" >
                del_flag,
            </if>
                <if test="updateTime!= null" >
                update_time,
            </if>
                <if test="updateUser!= null" >
                update_user,
            </if>
                <if test="createTime!= null" >
                create_time,
            </if>
                <if test="createUser!= null" >
                create_user,
            </if>
                <if test="typeName!= null" >
                type_name,
            </if>
                <if test="remark!= null" >
                remark,
            </if>
                <if test="power!= null" >
                power,
            </if>
            </trim>
        <trim prefix="values (" suffix=")" suffixOverrides="," >
                    <if test="id != null" >
                #{id,jdbcType=INTEGER},
            </if>
                    <if test="delFlag != null" >
                #{delFlag,jdbcType=CHAR},
            </if>
                    <if test="updateTime != null" >
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
                    <if test="updateUser != null" >
                #{updateUser,jdbcType=VARCHAR},
            </if>
                    <if test="createTime != null" >
                #{createTime,jdbcType=TIMESTAMP},
            </if>
                    <if test="createUser != null" >
                #{createUser,jdbcType=VARCHAR},
            </if>
                    <if test="typeName != null" >
                #{typeName,jdbcType=VARCHAR},
            </if>
                    <if test="remark != null" >
                #{remark,jdbcType=VARCHAR},
            </if>
                    <if test="power != null" >
                #{power,jdbcType=VARCHAR},
            </if>
                </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.ArContentType" >
        update ar_content_type
        <set >
                    <if test="id != null" >
               id= #{id,jdbcType=INTEGER},
            </if>
                     <if test="delFlag != null" >
               del_flag= #{delFlag,jdbcType=CHAR},
            </if>
                     <if test="updateTime != null" >
               update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
                     <if test="updateUser != null" >
               update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
                     <if test="createTime != null" >
               create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
                     <if test="createUser != null" >
               create_user= #{createUser,jdbcType=VARCHAR},
            </if>
                     <if test="typeName != null" >
               type_name= #{typeName,jdbcType=VARCHAR},
            </if>
                     <if test="remark != null" >
               remark= #{remark,jdbcType=VARCHAR},
            </if>
                     <if test="power != null" >
               power= #{power,jdbcType=VARCHAR},
            </if>
                 </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryArContentTypeByPage" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContentType">
        select <include refid="Base_Column_List"/> from ar_content_type
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
                    <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and  id = #{record.id}
            </if>
                     <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and  del_flag = #{record.delFlag}
            </if>
                     <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and  update_time = #{record.updateTime}
            </if>
                     <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and  update_user = #{record.updateUser}
            </if>
                     <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and  create_time = #{record.createTime}
            </if>
                     <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and  create_user = #{record.createUser}
            </if>
                     <if test="record.typeName != null and !&quot;&quot;.equals(record.typeName)">
                and  type_name = #{record.typeName}
            </if>
                     <if test="record.remark != null and !&quot;&quot;.equals(record.remark)">
                and  remark = #{record.remark}
            </if>
                     <if test="record.power != null and !&quot;&quot;.equals(record.power)">
                and  power = #{record.power}
            </if>
                  <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
             <trim prefix="and (" suffix=")" prefixOverrides="OR" >
                                                                                                                                                                                                                                                                                                                                                                                                                                    OR  type_name LIKE concat('%',#{record.searchKey},'%')
                                                                                                    OR  remark LIKE concat('%',#{record.searchKey},'%')
                                                                                                                              </trim>
         </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllArContentType" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContentType">
        select <include refid="Base_Column_List"/> from ar_content_type
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
                    <if test="id != null and !&quot;&quot;.equals(id)">
                and  id = #{id}
            </if>
                    <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and  del_flag = #{delFlag}
            </if>
                    <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and  update_time = #{updateTime}
            </if>
                    <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and  update_user = #{updateUser}
            </if>
                    <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and  create_time = #{createTime}
            </if>
                    <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and  create_user = #{createUser}
            </if>
                    <if test="typeName != null and !&quot;&quot;.equals(typeName)">
                and  type_name = #{typeName}
            </if>
                    <if test="remark != null and !&quot;&quot;.equals(remark)">
                and  remark = #{remark}
            </if>
                    <if test="power != null and !&quot;&quot;.equals(power)">
                and  power = #{power}
            </if>
                    <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR" >
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                OR  type_name LIKE concat('%',#{searchKey},'%')
                                                                                                                                                        OR  remark LIKE concat('%',#{searchKey},'%')
                                                                                                                                                                                        </trim>
            </if>
<if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
    <foreach item="item" index="index" collection="advancedQuery.split('_;')">
        <choose>
            <when test="item.indexOf('like') != -1">
                <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                    <if test="detailIndex == 3">
                        concat('%',#{itemDetail},'%')
                    </if>

                    <if test="detailIndex &lt; 3">
                        ${itemDetail}
                    </if>

                </foreach>
            </when>
            <otherwise>
                <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                    <if test="detailIndex == 3">
                        #{itemDetail}
                    </if>

                    <if test="detailIndex &lt; 3">
                        ${itemDetail}
                    </if>

                </foreach>
            </otherwise>
        </choose>


    </foreach>


</if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryArContentType" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContentType">
        select <include refid="Base_Column_List"/> from ar_content_type
        <where>
            and del_flag = 'N'
                    <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
                     <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
                     <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
                     <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
                     <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
                     <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
                     <if test="typeName != null and !&quot;&quot;.equals(typeName)">
                and type_name = #{typeName}
            </if>
                     <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
                     <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
         
        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE ar_content_type SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ArContentType">
        select <include refid="Base_Column_List"/> from ar_content_type
        <where>
            and del_flag = 'N'
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </where>
        order by id desc
    </select>
</mapper>

